Subject: Re: [PATCH v15 ] net/veth/XDP: Line-rate packet forwarding in kernel

From: Stephen Hemminger <[email-masked]>
Date: Mon, 2 Apr 2018 09:51:59 -0700

On Sun, 1 Apr 2018 20:47:28 -0400
"Md. Islam" <[email-masked]> wrote:

> This patch implements IPv4 forwarding on xdp_buff. I added a new
> config option XDP_ROUTER. Kernel would forward packets through fast
> path when this option is enabled. But it would require driver support.
> Currently it only works with veth. Here I have modified veth such that
> it outputs xdp_buff. I created a testbed in Mininet. The Mininet
> script (topology.py) is attached. Here the topology is:

Having XDP routing would be great.

The solution you have chosen that by changing each driver does
not scale well since it requires lots of changes and is not ready
for upstream.